Bug 1088033 - RFE: Text Figures for Liberation Fonts
Summary: RFE: Text Figures for Liberation Fonts
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-15 21:08 UTC by Alessandro Ceschini
Modified: 2019-06-27 21:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:46:09 UTC


Attachments (Terms of Use)
Text figures for TNR and Arial (66.93 KB, application/vnd.oasis.opendocument.text)
2017-06-23 04:02 UTC, Krasnaya Ploshchad’
no flags Details

Description Alessandro Ceschini 2014-04-15 21:08:04 UTC
Hello Pravin,

I was wondering whether you might consider adding text figures to your fonts. That'd be great and I don't think it'll take you long.

Regards

Comment 1 Pravin Satpute 2014-04-21 12:00:24 UTC
Some reference please :)

Comment 2 Alessandro Ceschini 2014-04-21 12:32:11 UTC
Sorry, I thought you already knew about it:

http://en.wikipedia.org/wiki/Text_figures

Hope it suffices.

Comment 3 Jaroslav Reznik 2015-03-03 15:42:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Alessandro Ceschini 2015-04-05 15:52:43 UTC
Hello everybody, a year has elapsed since I filed this feature request. May I kindly ask you if you're planning to implement it?

Regards,

Comment 5 Pravin Satpute 2015-04-07 06:29:17 UTC
Apologies for being so late on it. This is not in plan presently. 

Can you provide reference of any other fonts providing this support?

Comment 7 Alessandro Ceschini 2015-04-28 22:54:21 UTC
As far as I know, Linux Libertine O does it, so do Minion Pro and EB Garamond.

Comment 8 Pravin Satpute 2015-05-01 05:38:56 UTC
(In reply to Alessandro Ceschini from comment #6)
> Hello!
> 
> I hope these two suffice:
> http://www.fonts.com/content/learning/fontology/level-3/numbers/oldstyle-
> figures
> http://practicaltypography.com/alternate-figures.html
> 
Looking at this. Only missing part is "Oldstyle figures"

As you know, The Liberation(tm) Fonts is a font family which aims at metric compatibility with Arial, Times New Roman, and Courier New.

1. If Text figure are part of these fonts. It makes strong case. 
2. If you can come up with patch i can review and push to liberation git.

Comment 9 Alessandro Ceschini 2015-05-03 20:33:15 UTC
Hello Pravin,

1. I don't know  much about that, I've not been running a Windows platform for ten years. Back in Windows XP days, no, there was no support for Oldstyle figures, but then there was also no support whatsoever for Opentype so the issue was rather moot. I know the latest versions of Office DO include support for Opentype, so I guess Microsoft fonts may have been updated. But it's only a guess.

2. I'm sorry, I'm no font designer, I'm afraid I cannot help you with that.

Regards,

Comment 10 Pravin Satpute 2015-05-05 08:15:00 UTC
No problem.
We have already marked it as a RFE. Let me see if someone can jump in for helping to add this feature, then we can complete this.

Comment 11 Fedora End Of Life 2016-07-19 11:23:02 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Krasnaya Ploshchad’ 2017-06-23 04:02:31 UTC
Created attachment 1290877 [details]
Text figures for TNR and Arial

(In reply to Pravin Satpute from comment #8)
> (In reply to Alessandro Ceschini from comment #6)
> > Hello!
> > 
> > I hope these two suffice:
> > http://www.fonts.com/content/learning/fontology/level-3/numbers/oldstyle-
> > figures
> > http://practicaltypography.com/alternate-figures.html
> > 
> Looking at this. Only missing part is "Oldstyle figures"
> 
> As you know, The Liberation(tm) Fonts is a font family which aims at metric
> compatibility with Arial, Times New Roman, and Courier New.
> 
> 1. If Text figure are part of these fonts. It makes strong case. 
> 2. If you can come up with patch i can review and push to liberation git.

Windows 10 version of Arial and Times New Roman have already supported old-style figures, they can be available via activiting 'onum' feature, also implemented proportional figures ('pnum'). 

In LibreOffice 5.3.0 and newer you can get them in this way: set the font face into Arial or Times New Roman, then input the syntex ":onum=1" after font name and press Enter, then you will see the effect.

You can try to use Windows 10 virtual machine to test if you don’t use Windows.
https://dev.windows.com/en-us/microsoft-edge/tools/vms/

Comment 13 Fedora End Of Life 2017-07-25 18:39:07 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-08-08 11:46:09 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Pravin Satpute 2017-08-08 12:17:49 UTC
As this feature is already available in other fonts. Good to have this in Liberation as well.

Comment 16 Jens Petersen 2018-06-26 07:31:01 UTC
I think good to consider compatibility with other common office fonts.
Any reason not to use the existing fonts for your use-case?

As Pravin suggested earlier "prior art" would strengthen this suggestion.

Comment 17 Jens Petersen 2018-06-26 07:57:58 UTC
eg Microsoft Arial, also Google Caladea and Carlito fonts all have aligned figures (digits): I am sure there are other examples.

Comment 18 Jens Petersen 2018-07-13 05:51:50 UTC
To clarify my last comment: I don't think we should change the style of the font for digits like this.

Comment 19 Jens Petersen 2018-07-13 15:26:10 UTC
I think we should use Ariel, Times New Roman, and Courier, etc as references
to decide if any stylist change makes sense. Mainly we should just focus on
bug fixes and not making changes to the font.


Note You need to log in before you can comment on or make changes to this bug.